# Voucherify test documentation ## Docs - [Claude Code setup](https://voucherify-pw-test-further.mintlify.app/ai-tools/claude-code.md): Configure Claude Code for your documentation workflow - [Cursor setup](https://voucherify-pw-test-further.mintlify.app/ai-tools/cursor.md): Configure Cursor for your documentation workflow - [Windsurf setup](https://voucherify-pw-test-further.mintlify.app/ai-tools/windsurf.md): Configure Windsurf for your documentation workflow - [Get Async Action](https://voucherify-pw-test-further.mintlify.app/api-reference/async-actions/get-async-action.md): Check the result of a scheduled asynchronous operation. - [List Async Actions](https://voucherify-pw-test-further.mintlify.app/api-reference/async-actions/list-async-actions.md): Track asynchronous operations scheduled in your project. - [Delete Bin Entry](https://voucherify-pw-test-further.mintlify.app/api-reference/bin/delete-bin-entry.md): Deletes permanently a bin entry with a given ID.The following resources can be moved to the bin and permanently deleted: - campaigns - vouchers - products - SKUs - [List Bin Entries](https://voucherify-pw-test-further.mintlify.app/api-reference/bin/list-bin-entries.md): Retrieves a list of resources moved to the bin. The following resources can be moved to the bin: - campaigns - vouchers - products - SKUs - [Add Voucher with Specific Code to Campaign](https://voucherify-pw-test-further.mintlify.app/api-reference/campaigns/add-voucher-with-specific-code-to-campaign.md): This method gives a possibility to add a new voucher to an existing campaign. The voucher definition will be inherited from the definition kept in the campaign profile. However, you are able to overwrite a few properties inherited from the campaign. - [Add Vouchers to Campaign](https://voucherify-pw-test-further.mintlify.app/api-reference/campaigns/add-vouchers-to-campaign.md): This method gives the possibility to push new vouchers to an existing campaign. New vouchers will inherit properties from the campaign profile. However, it is possible to overwrite some of them in the request body. If you provide an optional `code_config` parameter with a voucher code configuration,… - [Create Campaign](https://voucherify-pw-test-further.mintlify.app/api-reference/campaigns/create-campaign.md): Method to create a batch of vouchers aggregated in one campaign. You can choose a variety of voucher types and define a unique pattern for generating codes. - [Delete Campaign](https://voucherify-pw-test-further.mintlify.app/api-reference/campaigns/delete-campaign.md): Deletes a campaign and all related vouchers. This action cannot be undone. Also, this method immediately removes any redemptions on the voucher. - [Disable Campaign](https://voucherify-pw-test-further.mintlify.app/api-reference/campaigns/disable-campaign.md): There are various times when you'll want to manage a campaign's accessibility. This can be done by two API methods for managing the campaign state - *enable* and *disable*. - [Enable Campaign](https://voucherify-pw-test-further.mintlify.app/api-reference/campaigns/enable-campaign.md): There are various times when you'll want to manage a campaign's accessibility. This can be done by two API methods for managing the campaign state - *enable* and *disable*. - [Examine Qualification [Deprecated]](https://voucherify-pw-test-further.mintlify.app/api-reference/campaigns/examine-qualification-[deprecated].md): > ❗️ Deprecated > > This endpoint represents the deprecated version of the API responsible for qualification, and we do not recommend using it. The new [Qualifications API](ref:examine-qualification) introduces additional features and improvements while maintaining backward… - [Export Campaign Transactions](https://voucherify-pw-test-further.mintlify.app/api-reference/campaigns/export-campaign-transactions.md): Export transactions is an asynchronous process that generates a CSV file with the data about credit movements on all gift cards or point movements on all loyalty cards in a given campaign. - [Get Campaign](https://voucherify-pw-test-further.mintlify.app/api-reference/campaigns/get-campaign.md): Retrieves the campaign with the given campaign ID or campaign name. - [Get Campaign Summary](https://voucherify-pw-test-further.mintlify.app/api-reference/campaigns/get-campaign-summary.md): Returns data for campaign analytics, covering validations, redemptions, publications, and other details specific to a given campaign type. - [Import Vouchers to Campaign](https://voucherify-pw-test-further.mintlify.app/api-reference/campaigns/import-vouchers-to-campaign.md): Imports vouchers to an **existing** campaign. - [Import Vouchers to Campaign by CSV](https://voucherify-pw-test-further.mintlify.app/api-reference/campaigns/import-vouchers-to-campaign-by-csv.md): Imports vouchers to an **existing** campaign. - [List Campaign Transactions](https://voucherify-pw-test-further.mintlify.app/api-reference/campaigns/list-campaign-transactions.md): Retrieves all transactions for the campaign with the given campaign ID or campaign name. The `id` filter denotes the unique transaction identifier. - [List Campaigns](https://voucherify-pw-test-further.mintlify.app/api-reference/campaigns/list-campaigns.md): Retrieve a list of campaigns in a project. - [Update Campaign](https://voucherify-pw-test-further.mintlify.app/api-reference/campaigns/update-campaign.md): Updates the specified campaign by setting the values of the parameters passed in the request body. Any parameters not provided in the payload will be left unchanged. - [Create Category](https://voucherify-pw-test-further.mintlify.app/api-reference/categories/create-category.md): Create category with a specific name and hierarchy. - [Delete Category](https://voucherify-pw-test-further.mintlify.app/api-reference/categories/delete-category.md): Delete a category by the category ID. - [Get Category](https://voucherify-pw-test-further.mintlify.app/api-reference/categories/get-category.md): Retrieve a category by the category ID. - [List Categories](https://voucherify-pw-test-further.mintlify.app/api-reference/categories/list-categories.md): List all categories. - [Update Category](https://voucherify-pw-test-further.mintlify.app/api-reference/categories/update-category.md): Update category using the category ID. - [Check Eligibility (client-side)](https://voucherify-pw-test-further.mintlify.app/api-reference/client-side/check-eligibility-client-side.md): Generate a list of redeemables that are applicable in the context of the customer and order. - [Create Publication (client-side)](https://voucherify-pw-test-further.mintlify.app/api-reference/client-side/create-publication-client-side.md): This method selects vouchers that are suitable for publication, adds a publish entry and returns the publication. - [List Promotion Tiers (client-side)](https://voucherify-pw-test-further.mintlify.app/api-reference/client-side/list-promotion-tiers-client-side.md): This method enables you to list promotion tiers. - [Redeem Stackable Discounts (client-side)](https://voucherify-pw-test-further.mintlify.app/api-reference/client-side/redeem-stackable-discounts-client-side.md): This method is accessible through public keys which you can use in client side requests coming from mobile and web browser applications. - [Redeem Voucher (client-side) [Deprecated]](https://voucherify-pw-test-further.mintlify.app/api-reference/client-side/redeem-voucher-client-side-[deprecated].md): > ❗️ Deprecated > > This endpoint represents the deprecated version of the API responsible for voucher redemption, and we do not recommend using it. The new [Stackable Discounts API](ref:redeem-stacked-discounts-client-side) introduces additional features and improvements wh… - [Track Custom Event (client-side)](https://voucherify-pw-test-further.mintlify.app/api-reference/client-side/track-custom-event-client-side.md): To track a custom event, you create an event object. - [Validate Stackable Discounts (client-side)](https://voucherify-pw-test-further.mintlify.app/api-reference/client-side/validate-stackable-discounts-client-side.md): Verify redeemables provided in the request. This method is accessible through public keys which you can use in client side requests coming from mobile and web browser applications. - [Validate Voucher (client-side) [Deprecated]](https://voucherify-pw-test-further.mintlify.app/api-reference/client-side/validate-voucher-client-side-[deprecated].md): > ❗️ Deprecated > > This endpoint represents the deprecated version of the API responsible for voucher validation, and we do not recommend using it. The new [Stackable Discounts API](ref:validate-stacked-discounts-client-side) introduces additional features and improvements… - [Create Customer](https://voucherify-pw-test-further.mintlify.app/api-reference/customers/create-customer.md): Creates a customer object. - [Delete Customer](https://voucherify-pw-test-further.mintlify.app/api-reference/customers/delete-customer.md): This method deletes a customer. - [Delete Customer Permanently](https://voucherify-pw-test-further.mintlify.app/api-reference/customers/delete-customer-permanently.md): The organization user can remove consumer data permanently from the Voucherify system by using this API method. It deletes all customer data and connected resources. It makes the customer profile forgotten by Voucherify. - [Get Customer](https://voucherify-pw-test-further.mintlify.app/api-reference/customers/get-customer.md): Retrieve customer details. - [Import and Update Customers using CSV](https://voucherify-pw-test-further.mintlify.app/api-reference/customers/import-and-update-customers-using-csv.md): This API method lets you import or update customer data. To get a proper and valid response, please send a CSV file with data separated by commas. - [List Customer Activities [Deprecated]](https://voucherify-pw-test-further.mintlify.app/api-reference/customers/list-customer-activities-[deprecated].md): > ❗️ Deprecated > > This endpoint represents the deprecated version of the API responsible for listing customer activities and we do not recommend using it. Developers are encouraged to migrate to the latest version to take advantage of the latest enhancements and bug fixes. No updates will be pro… - [List Customer Activity](https://voucherify-pw-test-further.mintlify.app/api-reference/customers/list-customer-activity.md): Retrieve customer activities. - [List Customers](https://voucherify-pw-test-further.mintlify.app/api-reference/customers/list-customers.md): Returns a list of customers. - [List Customer's Redeemables](https://voucherify-pw-test-further.mintlify.app/api-reference/customers/list-customers-redeemables.md): Retrieves all the redeemables that have been assigned to the customer. - [List Customer's Segments](https://voucherify-pw-test-further.mintlify.app/api-reference/customers/list-customers-segments.md): Returns the list of segments IDs to which the customer belongs to. - [Update Customer](https://voucherify-pw-test-further.mintlify.app/api-reference/customers/update-customer.md): Updates the specified customer by setting the values of the parameters passed in the request body. Any parameters not provided in the payload will be left unchanged. - [Update Customers in Bulk](https://voucherify-pw-test-further.mintlify.app/api-reference/customers/update-customers-in-bulk.md): Updates customers in one asynchronous operation. - [Update Customers' Metadata in Bulk](https://voucherify-pw-test-further.mintlify.app/api-reference/customers/update-customers-metadata-in-bulk.md): Updates metadata parameters for a list of customers. Every resource in the list will receive the metadata defined in the request. - [Assignment created](https://voucherify-pw-test-further.mintlify.app/api-reference/events-bus_val_rule/assignment-created.md) - [Assignment deleted](https://voucherify-pw-test-further.mintlify.app/api-reference/events-bus_val_rule/assignment-deleted.md) - [Created](https://voucherify-pw-test-further.mintlify.app/api-reference/events-bus_val_rule/created.md) - [Deleted](https://voucherify-pw-test-further.mintlify.app/api-reference/events-bus_val_rule/deleted.md) - [Updated](https://voucherify-pw-test-further.mintlify.app/api-reference/events-bus_val_rule/updated.md) - [Created](https://voucherify-pw-test-further.mintlify.app/api-reference/events-campaign/created.md) - [Deleted](https://voucherify-pw-test-further.mintlify.app/api-reference/events-campaign/deleted.md) - [Disabled](https://voucherify-pw-test-further.mintlify.app/api-reference/events-campaign/disabled.md) - [Enabled](https://voucherify-pw-test-further.mintlify.app/api-reference/events-campaign/enabled.md) - [Loyalty_tier created](https://voucherify-pw-test-further.mintlify.app/api-reference/events-campaign/loyalty_tier-created.md) - [Loyalty_tier deleted](https://voucherify-pw-test-further.mintlify.app/api-reference/events-campaign/loyalty_tier-deleted.md) - [Loyalty_tier updated](https://voucherify-pw-test-further.mintlify.app/api-reference/events-campaign/loyalty_tier-updated.md) - [Promotion_tier created](https://voucherify-pw-test-further.mintlify.app/api-reference/events-campaign/promotion_tier-created.md) - [Promotion_tier deleted](https://voucherify-pw-test-further.mintlify.app/api-reference/events-campaign/promotion_tier-deleted.md) - [Promotion_tier disabled](https://voucherify-pw-test-further.mintlify.app/api-reference/events-campaign/promotion_tier-disabled.md) - [Promotion_tier enabled](https://voucherify-pw-test-further.mintlify.app/api-reference/events-campaign/promotion_tier-enabled.md) - [Promotion_tier updated](https://voucherify-pw-test-further.mintlify.app/api-reference/events-campaign/promotion_tier-updated.md) - [Updated](https://voucherify-pw-test-further.mintlify.app/api-reference/events-campaign/updated.md) - [Vouchers generation completed](https://voucherify-pw-test-further.mintlify.app/api-reference/events-campaign/vouchers-generation-completed.md) - [Created](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/created.md) - [Custom_event](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/custom_event.md) - [Deleted](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/deleted.md) - [Holder assignment created](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/holder-assignment-created.md) - [Holder assignment deleted](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/holder-assignment-deleted.md) - [Loyalty tier downgraded](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/loyalty-tier-downgraded.md) - [Loyalty tier joined](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/loyalty-tier-joined.md) - [Loyalty tier left](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/loyalty-tier-left.md) - [Loyalty tier prolonged](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/loyalty-tier-prolonged.md) - [Loyalty tier upgraded](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/loyalty-tier-upgraded.md) - [Order canceled](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/order-canceled.md) - [Order created](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/order-created.md) - [Order paid](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/order-paid.md) - [Order updated](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/order-updated.md) - [Publication succeeded](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/publication-succeeded.md) - [Redemption rollback succeeded](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/redemption-rollback-succeeded.md) - [Redemption succeeded](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/redemption-succeeded.md) - [Reward_redemptions completed](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/reward_redemptions-completed.md) - [Reward_redemptions created](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/reward_redemptions-created.md) - [Reward_redemptions pending](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/reward_redemptions-pending.md) - [Rewarded](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/rewarded.md) - [Rewarded loyalty_points](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/rewarded-loyalty_points.md) - [Segment entered](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/segment-entered.md) - [Segment left](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/segment-left.md) - [Voucher gift balance_added](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/voucher-gift-balance_added.md) - [Voucher loyalty_card pending_points activated](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/voucher-loyalty_card-pending_points-activated.md) - [Voucher loyalty_card pending_points added](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/voucher-loyalty_card-pending_points-added.md) - [Voucher loyalty_card pending_points canceled](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/voucher-loyalty_card-pending_points-canceled.md) - [Voucher loyalty_card pending_points updated](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/voucher-loyalty_card-pending_points-updated.md) - [Voucher loyalty_card points_added](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/voucher-loyalty_card-points_added.md) - [Voucher loyalty_card points_expired](https://voucherify-pw-test-further.mintlify.app/api-reference/events-customer/voucher-loyalty_card-points_expired.md) - [Manual_distribution_schedule](https://voucherify-pw-test-further.mintlify.app/api-reference/events-distribution/manual_distribution_schedule.md) - [Succeeded](https://voucherify-pw-test-further.mintlify.app/api-reference/events-publication/succeeded.md) - [Failed](https://voucherify-pw-test-further.mintlify.app/api-reference/events-redemption/failed.md) - [Rollback failed](https://voucherify-pw-test-further.mintlify.app/api-reference/events-redemption/rollback-failed.md) - [Rollback succeeded](https://voucherify-pw-test-further.mintlify.app/api-reference/events-redemption/rollback-succeeded.md) - [Succeeded](https://voucherify-pw-test-further.mintlify.app/api-reference/events-redemption/succeeded.md) - [Created](https://voucherify-pw-test-further.mintlify.app/api-reference/events-voucher/created.md) - [Deleted](https://voucherify-pw-test-further.mintlify.app/api-reference/events-voucher/deleted.md) - [Disabled](https://voucherify-pw-test-further.mintlify.app/api-reference/events-voucher/disabled.md) - [Enabled](https://voucherify-pw-test-further.mintlify.app/api-reference/events-voucher/enabled.md) - [Gift balance_added](https://voucherify-pw-test-further.mintlify.app/api-reference/events-voucher/gift-balance_added.md) - [Gift transaction created](https://voucherify-pw-test-further.mintlify.app/api-reference/events-voucher/gift-transaction-created.md) - [Loyalty_card pending_points activated](https://voucherify-pw-test-further.mintlify.app/api-reference/events-voucher/loyalty_card-pending_points-activated.md) - [Loyalty_card pending_points added](https://voucherify-pw-test-further.mintlify.app/api-reference/events-voucher/loyalty_card-pending_points-added.md) - [Loyalty_card pending_points canceled](https://voucherify-pw-test-further.mintlify.app/api-reference/events-voucher/loyalty_card-pending_points-canceled.md) - [Loyalty_card pending_points updated](https://voucherify-pw-test-further.mintlify.app/api-reference/events-voucher/loyalty_card-pending_points-updated.md) - [Loyalty_card points_added](https://voucherify-pw-test-further.mintlify.app/api-reference/events-voucher/loyalty_card-points_added.md) - [Loyalty_card points_expired](https://voucherify-pw-test-further.mintlify.app/api-reference/events-voucher/loyalty_card-points_expired.md) - [Loyalty_card transaction created](https://voucherify-pw-test-further.mintlify.app/api-reference/events-voucher/loyalty_card-transaction-created.md) - [Published](https://voucherify-pw-test-further.mintlify.app/api-reference/events-voucher/published.md) - [Updated](https://voucherify-pw-test-further.mintlify.app/api-reference/events-voucher/updated.md) - [Track Custom Event](https://voucherify-pw-test-further.mintlify.app/api-reference/events/track-custom-event.md): To track a custom event, you create an event object. - [Create Export](https://voucherify-pw-test-further.mintlify.app/api-reference/exports/create-export.md): Create export object. The export can be any of the following types: `voucher`, `redemption`, `publication`, `customer`, `order`, `points_expiration`, `voucher_transactions`, `product`, or `sku`. - [Delete Export](https://voucherify-pw-test-further.mintlify.app/api-reference/exports/delete-export.md): This method deletes a previously created export object. - [Download Export](https://voucherify-pw-test-further.mintlify.app/api-reference/exports/download-export.md): Download the contents of the exported CSV file. - [Get Export](https://voucherify-pw-test-further.mintlify.app/api-reference/exports/get-export.md): Retrieves the URL of the downloadable file, which was generated via the [Create Export](ref:create-export) method. - [List Exports](https://voucherify-pw-test-further.mintlify.app/api-reference/exports/list-exports.md): List all exports. - [Get Location](https://voucherify-pw-test-further.mintlify.app/api-reference/locations/get-location.md): Returns a location object. - [List Locations](https://voucherify-pw-test-further.mintlify.app/api-reference/locations/list-locations.md): Returns a list of your locations. - [Activate Member Pending Points](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/activate-member-pending-points.md): Activate manually the pending points and add them to the loyalty card. The pending points are determined by the pending point ID. - [Add Member](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/add-member.md): This method assigns a loyalty card to a customer. It selects a [loyalty card](ref:get-voucher) suitable for publication, adds a publish entry, and returns the published voucher. - [Adjust Loyalty Card Balance](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/adjust-loyalty-card-balance.md): This method adds or removes balance to an existing loyalty card that is assigned to a holder. The removal of points will consume the points that expire the soonest. - [Adjust Loyalty Card Balance](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/adjust-loyalty-card-balance-1.md): This method gives adds or removes balance to an existing loyalty card that is assigned to a holder. The removal of points will consume the points that expire the soonest. - [Adjust Member Pending Points](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/adjust-member-pending-points.md): Adjusts the pending points with a given ID. You can add or subtract the number of points. - [Cancel Member Pending Points](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/cancel-member-pending-points.md): Cancel manually the pending points for the loyalty card. The pending points are determined by the pending point ID. - [Create Earning Rule](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/create-earning-rule.md): Create earning rules for a loyalty campaign. - [Create Loyalty Campaign](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/create-loyalty-campaign.md): Creates a batch of [loyalty cards](ref:get-member) aggregated in a single loyalty campaign. It also allows you to define a custom codes pattern. - [Create loyalty tiers](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/create-loyalty-tiers.md): Creates loyalty tiers for desired campaign. - [Create Reward Assignment](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/create-reward-assignment.md): Add rewards to a loyalty campaign. - [Delete Earning Rule](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/delete-earning-rule.md): This method deletes an earning rule for a specific loyalty campaign. - [Delete Loyalty Campaign](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/delete-loyalty-campaign.md): Deletes a loyalty campaign and all related loyalty cards. This action cannot be undone. Also, it immediately removes any redemptions on loyalty cards. - [Delete Reward Assignment](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/delete-reward-assignment.md): This method deletes a reward assignment for a particular loyalty campaign. - [Disable Earning Rule](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/disable-earning-rule.md): Disable an earning rule. - [Enable Earning Rule](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/enable-earning-rule.md): Enable an earning rule. - [Export Loyalty Campaign Point Expiration](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/export-loyalty-campaign-point-expiration.md): Schedule the generation of a point expiration CSV file for a particular campaign. It can list point buckets, which can have an `ACTIVE` or `EXPIRED` status. - [Export Loyalty Campaign Transactions](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/export-loyalty-campaign-transactions.md): Export transactions is an asynchronous process that generates a CSV file with the data about or point movements on all loyalty cards in a given campaign. - [Export Loyalty Card Transactions](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/export-loyalty-card-transactions.md): Export transactions that are associated with point movements on a loyalty card. - [Export Loyalty Card Transactions](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/export-loyalty-card-transactions-1.md): Export transactions that are associated with point movements on a loyalty card. - [Get Earning Rule](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/get-earning-rule.md): Retrieves an earning rule assigned to a campaign. - [Get Loyalty Campaign](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/get-loyalty-campaign.md): Retrieve a specific loyalty campaign. - [Get Loyalty Tier](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/get-loyalty-tier.md): Retrieve a loyalty tier from a loyalty campaign by the loyalty tier ID. - [Get Member](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/get-member.md): Retrieves the loyalty card with the given member ID (i.e. voucher code). - [Get Member](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/get-member-1.md): Retrieve loyalty card with the given member ID (i.e. voucher code). - [Get Reward Assignment](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/get-reward-assignment.md): Retrieve specific reward assignment. - [Get Reward Assignment](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/get-reward-assignment-1.md): Retrieve specific reward assignment. - [Get Reward Details](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/get-reward-details.md): Get reward details in the context of a loyalty campaign and reward assignment ID. - [List Campaign Pending Points](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/list-campaign-pending-points.md): Lists all pending points that are currently assigned to all loyalty cards in a campaign. Once the points are added to the card, the entry is no longer returned. - [List Earning Rules](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/list-earning-rules.md): Returns a list of all earning rules within a given campaign. - [List Loyalty Campaign Transactions](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/list-loyalty-campaign-transactions.md): Retrieves all transactions for the campaign with the given campaign ID or campaign name. - [List Loyalty Campaigns](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/list-loyalty-campaigns.md): Returns a list of your loyalty campaigns. - [List Loyalty Card Point Expiration](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/list-loyalty-card-point-expiration.md): Retrieve loyalty point expiration buckets for a given loyalty card. Expired point buckets are not returned in this endpoint. You can use the [Exports API](ref:create-export) to retrieve a list of both `ACTIVE` and `EXPIRED` point buckets. - [List Loyalty Card Transactions](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/list-loyalty-card-transactions.md): Retrieve transaction data related to point movements for a specific loyalty card. - [List Loyalty Card Transactions](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/list-loyalty-card-transactions-1.md): Retrieve transaction data related to point movements for a specific loyalty card. - [List Loyalty Tier Earning Rules](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/list-loyalty-tier-earning-rules.md): Retrieve available earning rules for a given tier and the calculation method for earning points. - [List Loyalty Tier Rewards](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/list-loyalty-tier-rewards.md): Get available rewards for a given tier. - [List Loyalty Tiers](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/list-loyalty-tiers.md): Retrieve a list of loyalty tiers which were added to the loyalty program. - [List Member Activity](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/list-member-activity.md): Retrieves the list of activities for the given member ID related to a voucher and customer who is the holder of the voucher. - [List Member Activity](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/list-member-activity-1.md): > 📘 Alternative endpoint > This endpoint is an alternative to this [endpoint](ref:list-member-activity-1). The URL was re-designed to allow you to get member activities without having to provide the `campaignId` as a path parameter. - [List Member Pending Points](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/list-member-pending-points.md): Lists all pending points that are currently assigned to the loyalty card. Once the points are added to the card, the entry is no longer returned. - [List Member Pending Points](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/list-member-pending-points-1.md): > 📘 Alternative endpoint > This endpoint is an alternative to this [endpoint](ref:list-member-pending-points-1). The URL was re-designed to list member pending points without having to provide the `campaignId` as a path parameter. - [List Member Rewards](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/list-member-rewards.md): Retrieves the list of rewards that the given customer (identified by `member_id`, which is a loyalty card assigned to a particular customer) **can get in exchange for loyalty points**. - [List Members](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/list-members.md): Returns a list of your loyalty cards. The loyalty cards are sorted by creation date, with the most recent loyalty cards appearing first. - [List Member's Loyalty Tiers](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/list-members-loyalty-tiers.md): Retrieve member tiers using the loyalty card ID. - [List Reward Assignments](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/list-reward-assignments.md): Returns reward assignments from a given loyalty campaign. - [List Reward Assignments](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/list-reward-assignments-1.md): Returns active rewards from a given loyalty campaign. - [Redeem Reward](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/redeem-reward.md): Exchange points from a loyalty card for a specified reward. This API method returns an assigned award in the response. It means that if a requesting customer gets a coupon code with a discount for the next order, that discount code will be visible in response as part of the reward object definition. - [Redeem Reward](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/redeem-reward-1.md): > 📘 Alternative endpoint > > This endpoint is an alternative to this [endpoint](ref:redeem-reward-1). The URL was re-designed to allow you to redeem a reward without having to prov… - [Transfer Loyalty Points](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/transfer-loyalty-points.md): Transfer points between different loyalty cards which have holders. You need to provide the campaign ID and the loyalty card ID you want the points to be transferred to as path parameters in the URL. In the request body, you provide the loyalty cards you want the points to be transferred from and th… - [Update Earning Rule](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/update-earning-rule.md): Update an earning rule definition. - [Update Loyalty Campaign](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/update-loyalty-campaign.md): Updates a loyalty program. - [Update Reward Assignment](https://voucherify-pw-test-further.mintlify.app/api-reference/loyalties/update-reward-assignment.md): Updates rewards parameters, i.e. the points cost for the specific reward. - [Assign User](https://voucherify-pw-test-further.mintlify.app/api-reference/management/assign-user.md): Assigns a user to a given project. The user must be an existing user in Voucherify. - [Copy Campaign Template to a Project](https://voucherify-pw-test-further.mintlify.app/api-reference/management/copy-campaign-template-to-a-project.md): Copies a campaign template to another project. - [Create Brand](https://voucherify-pw-test-further.mintlify.app/api-reference/management/create-brand.md): Creates a new brand configuration. - [Create Custom Event Schema](https://voucherify-pw-test-further.mintlify.app/api-reference/management/create-custom-event-schema.md): Creates a custom event schema. - [Create Metadata Schema](https://voucherify-pw-test-further.mintlify.app/api-reference/management/create-metadata-schema.md): Creates a new metadata (custom attribute) schema for a given resource. - [Create Project](https://voucherify-pw-test-further.mintlify.app/api-reference/management/create-project.md): Creates a new project. You can add users, specify the cluster, timezone, currency, and other details. - [Create Stacking Rules](https://voucherify-pw-test-further.mintlify.app/api-reference/management/create-stacking-rules.md): Overwrites the default stacking rules. - [Create Webhook](https://voucherify-pw-test-further.mintlify.app/api-reference/management/create-webhook.md): Creates a new webhook configuration. - [Delete Brand](https://voucherify-pw-test-further.mintlify.app/api-reference/management/delete-brand.md): Deletes permanently a brand configuration. - [Delete Custom Event Schema](https://voucherify-pw-test-further.mintlify.app/api-reference/management/delete-custom-event-schema.md): Deletes permanently the custom event schema with its custom properties (metadata). - [Delete Metadata Schema](https://voucherify-pw-test-further.mintlify.app/api-reference/management/delete-metadata-schema.md): Deletes permanently the metadata schema. - [Delete Project](https://voucherify-pw-test-further.mintlify.app/api-reference/management/delete-project.md): Deletes an existing project. - [Delete Stacking Rules](https://voucherify-pw-test-further.mintlify.app/api-reference/management/delete-stacking-rules.md): Deletes permanently the current settings for the stacking rules. - [Delete Webhook](https://voucherify-pw-test-further.mintlify.app/api-reference/management/delete-webhook.md): Deletes a webhook configuration. - [Get Brand](https://voucherify-pw-test-further.mintlify.app/api-reference/management/get-brand.md): Retrieves a brand configuration. - [Get Custom Event Schema](https://voucherify-pw-test-further.mintlify.app/api-reference/management/get-custom-event-schema.md): Retrieves a custom event schema. - [Get Metadata Schema](https://voucherify-pw-test-further.mintlify.app/api-reference/management/get-metadata-schema.md): Retrieves a metadata schema. - [Get Project](https://voucherify-pw-test-further.mintlify.app/api-reference/management/get-project.md): Retrieves an existing project. - [Get Stacking Rules](https://voucherify-pw-test-further.mintlify.app/api-reference/management/get-stacking-rules.md): Retrieves the stacking rules for the project. - [Get User](https://voucherify-pw-test-further.mintlify.app/api-reference/management/get-user.md): Retrieves the project user's details. - [Get Webhook](https://voucherify-pw-test-further.mintlify.app/api-reference/management/get-webhook.md): Retrieves a webhook configuration. - [Invite a New User](https://voucherify-pw-test-further.mintlify.app/api-reference/management/invite-a-new-user.md): Sends an invitation to an email address that has not been used yet as a Voucherify user login. - [List Brands](https://voucherify-pw-test-further.mintlify.app/api-reference/management/list-brands.md): Lists all brand configurations. - [List Campaign Templates](https://voucherify-pw-test-further.mintlify.app/api-reference/management/list-campaign-templates.md): Lists all campaign templates available in the project. - [List Custom Event Schemas](https://voucherify-pw-test-further.mintlify.app/api-reference/management/list-custom-event-schemas.md): Lists all custom event schemas available in the project. - [List Metadata Schemas](https://voucherify-pw-test-further.mintlify.app/api-reference/management/list-metadata-schemas.md): Lists all metadata schemas available in the project. - [List Projects](https://voucherify-pw-test-further.mintlify.app/api-reference/management/list-projects.md): Lists all projects for the organization. - [List Stacking Rules](https://voucherify-pw-test-further.mintlify.app/api-reference/management/list-stacking-rules.md): Lists all stacking rules. - [List Users](https://voucherify-pw-test-further.mintlify.app/api-reference/management/list-users.md): Lists all users assigned to the project. - [List Webhooks](https://voucherify-pw-test-further.mintlify.app/api-reference/management/list-webhooks.md): Lists all webhook configurations for the project. - [Unassign User](https://voucherify-pw-test-further.mintlify.app/api-reference/management/unassign-user.md): Unassigns the user from the project. If the user is currently logged in, they are automatically logged out. If the user is assigned to only one project, they cannot be unassigned from that project. - [Update Brand](https://voucherify-pw-test-further.mintlify.app/api-reference/management/update-brand.md): Updates a brand configuration. - [Update Custom Event Schema](https://voucherify-pw-test-further.mintlify.app/api-reference/management/update-custom-event-schema.md): Updates a custom event schema. - [Update Metadata Schema](https://voucherify-pw-test-further.mintlify.app/api-reference/management/update-metadata-schema.md): Updates a metadata schema. - [Update Project](https://voucherify-pw-test-further.mintlify.app/api-reference/management/update-project.md): Updates an existing project. - [Update Stacking Rules](https://voucherify-pw-test-further.mintlify.app/api-reference/management/update-stacking-rules.md): Updates the stacking rules. - [Update User](https://voucherify-pw-test-further.mintlify.app/api-reference/management/update-user.md): Updates the user's role. - [Update Webhook](https://voucherify-pw-test-further.mintlify.app/api-reference/management/update-webhook.md): Updates a webhook configuration. - [Get Metadata Schema](https://voucherify-pw-test-further.mintlify.app/api-reference/metadata-schemas/get-metadata-schema.md): Retrieves a metadata schema per resource type. - [List Metadata Schemas](https://voucherify-pw-test-further.mintlify.app/api-reference/metadata-schemas/list-metadata-schemas.md): Retrieve metadata schema definitions. - [Generate OAuth 2.0 Token](https://voucherify-pw-test-further.mintlify.app/api-reference/oauth/generate-oauth-20-token.md): Generate an OAuth 2.0 token for an API client. The token can be used to authorize access to the Voucherify API. The token inherits the permissions and IP whitelists of the API key that is used to generate the OAuth token. You can define the scope that limits its usage. You can generate up to 1000 OA… - [Introspect OAuth 2.0 Token](https://voucherify-pw-test-further.mintlify.app/api-reference/oauth/introspect-oauth-20-token.md): Introspect an OAuth 2.0 token for an API client. - [Revoke OAuth 2.0 Token](https://voucherify-pw-test-further.mintlify.app/api-reference/oauth/revoke-oauth-20-token.md): Revoke an OAuth 2.0 token for an API client. Once revoked, the token cannot be used anymore. - [Create Order](https://voucherify-pw-test-further.mintlify.app/api-reference/orders/create-order.md): Creates an order object and triggers an order creation event. - [Create Orders Export](https://voucherify-pw-test-further.mintlify.app/api-reference/orders/create-orders-export.md): Creates a downloadable CSV file containing a list of orders. - [Get Order](https://voucherify-pw-test-further.mintlify.app/api-reference/orders/get-order.md): Retrieve an order. - [Import Orders](https://voucherify-pw-test-further.mintlify.app/api-reference/orders/import-orders.md): - [List Orders](https://voucherify-pw-test-further.mintlify.app/api-reference/orders/list-orders.md): Returns a list of orders. - [Update Order](https://voucherify-pw-test-further.mintlify.app/api-reference/orders/update-order.md): Updates the specified order by setting the values of the parameters passed in the request body. Any parameters not provided will be left unchanged. - [Create Product Collection](https://voucherify-pw-test-further.mintlify.app/api-reference/product-collections/create-product-collection.md): This method creates a new product collection. - [Delete Product Collection](https://voucherify-pw-test-further.mintlify.app/api-reference/product-collections/delete-product-collection.md): This method deletes a product collection. - [Get Product Collection](https://voucherify-pw-test-further.mintlify.app/api-reference/product-collections/get-product-collection.md): Retrieves the product collection. - [List Product Collections](https://voucherify-pw-test-further.mintlify.app/api-reference/product-collections/list-product-collections.md): This method returns a list of product collections. - [List Products in Collection](https://voucherify-pw-test-further.mintlify.app/api-reference/product-collections/list-products-in-collection.md): Retrieves list of products from a product collection; works for both dynamic and static product collections. - [Create Product](https://voucherify-pw-test-further.mintlify.app/api-reference/products/create-product.md): Creates a product object. - [Create SKU](https://voucherify-pw-test-further.mintlify.app/api-reference/products/create-sku.md): This method adds product variants to a [created product](ref:create-product). - [Delete Product](https://voucherify-pw-test-further.mintlify.app/api-reference/products/delete-product.md): Deletes a product and all related SKUs. This operation cannot be undone. - [Delete SKU](https://voucherify-pw-test-further.mintlify.app/api-reference/products/delete-sku.md): Deletes a product SKU. This operation cannot be undone. - [Get Product](https://voucherify-pw-test-further.mintlify.app/api-reference/products/get-product.md): Retrieve product details. - [Get SKU](https://voucherify-pw-test-further.mintlify.app/api-reference/products/get-sku.md): Retrieve details of a SKU. - [Import Products using CSV](https://voucherify-pw-test-further.mintlify.app/api-reference/products/import-products-using-csv.md): Import products into the repository using a CSV file. - [Import SKUs using CSV](https://voucherify-pw-test-further.mintlify.app/api-reference/products/import-skus-using-csv.md): Import SKUs into the repository using a CSV file. - [List Products](https://voucherify-pw-test-further.mintlify.app/api-reference/products/list-products.md): Retrieve a list of products. - [List SKUs in Product](https://voucherify-pw-test-further.mintlify.app/api-reference/products/list-skus-in-product.md): Retrieve all SKUs for a given product. - [Update Product](https://voucherify-pw-test-further.mintlify.app/api-reference/products/update-product.md): Updates the specified product by setting the values of the parameters passed in the request body. Any parameters not provided in the payload will be left unchanged. - [Update Products in Bulk](https://voucherify-pw-test-further.mintlify.app/api-reference/products/update-products-in-bulk.md): Update products in one asynchronous operation. - [Update Products' Metadata in Bulk](https://voucherify-pw-test-further.mintlify.app/api-reference/products/update-products-metadata-in-bulk.md): Updates metadata parameters for a list of products. Every resource in the list will receive the metadata defined in the request. - [Update SKU](https://voucherify-pw-test-further.mintlify.app/api-reference/products/update-sku.md): Updates the specified SKU by setting the values of the parameters passed in the request body. Any parameters not provided in the payload will be left unchanged. - [Add Promotion Tier to Campaign](https://voucherify-pw-test-further.mintlify.app/api-reference/promotions/add-promotion-tier-to-campaign.md): This method allows you to add a new promotion tier to an existing campaign. The tier hierarchy will be set as the next consequtive integer following the lowest ranking tier. - [Create Promotion Stack](https://voucherify-pw-test-further.mintlify.app/api-reference/promotions/create-promotion-stack.md): This method creates one promotion stack. The sequence of promotion tier IDs will determine the promotion stacking order. - [Delete Promotion Stack](https://voucherify-pw-test-further.mintlify.app/api-reference/promotions/delete-promotion-stack.md): This method deletes a promotion stack. - [Delete Promotion Tier](https://voucherify-pw-test-further.mintlify.app/api-reference/promotions/delete-promotion-tier.md): This method deletes a promotion tier. - [Disable Promotion Tier](https://voucherify-pw-test-further.mintlify.app/api-reference/promotions/disable-promotion-tier.md): This method disables a promotion tier, i.e. makes the `active` parameter = `false`. - [Enable Promotion Tier](https://voucherify-pw-test-further.mintlify.app/api-reference/promotions/enable-promotion-tier.md): This method enables a promotion tier, i.e. makes the `active` parameter = `true`. - [Get Promotion Stack](https://voucherify-pw-test-further.mintlify.app/api-reference/promotions/get-promotion-stack.md): This method returns the details of a promotion stack, including the promotion tiers grouped within the stack. - [Get Promotion Tier](https://voucherify-pw-test-further.mintlify.app/api-reference/promotions/get-promotion-tier.md): This method enables you to retrieve a specific promotion tier. - [List Promotion Stacks](https://voucherify-pw-test-further.mintlify.app/api-reference/promotions/list-promotion-stacks.md): This method enables you to list promotion stacks irrespective of the campaign they are associated with. - [List Promotion Stacks in Campaign](https://voucherify-pw-test-further.mintlify.app/api-reference/promotions/list-promotion-stacks-in-campaign.md): This method enables you to list promotion stacks from a specified campaign. - [List Promotion Tiers](https://voucherify-pw-test-further.mintlify.app/api-reference/promotions/list-promotion-tiers.md): This method enables you to list promotion tiers. - [List Promotion Tiers from Campaign](https://voucherify-pw-test-further.mintlify.app/api-reference/promotions/list-promotion-tiers-from-campaign.md): This method enables you to list promotion tiers from a specified campaign. - [Update Promotion Stack](https://voucherify-pw-test-further.mintlify.app/api-reference/promotions/update-promotion-stack.md): This methods allows for editing an existing stack. - [Update Promotion Tier](https://voucherify-pw-test-further.mintlify.app/api-reference/promotions/update-promotion-tier.md): This method updates a promotion tier. - [Create Publication](https://voucherify-pw-test-further.mintlify.app/api-reference/publications/create-publication.md): This method selects vouchers that are suitable for publication, adds a publish entry and returns the publication. - [Create Publication](https://voucherify-pw-test-further.mintlify.app/api-reference/publications/create-publication-1.md): This method selects vouchers that are suitable for publication, adds a publish entry and returns the publication. - [List Publications](https://voucherify-pw-test-further.mintlify.app/api-reference/publications/list-publications.md): Retrieve a list of publications. To return a **particular** publication, you can use the `source_id` query parameter and provide the `source_id` of the publication you are looking for specifically. - [Check Eligibility](https://voucherify-pw-test-further.mintlify.app/api-reference/qualifications/check-eligibility.md): > 🚧 The Qualifications endpoint ignores the rules checking: > > - Limit of total redeemed discount amount per campaign > - Limit of total redemptions count per campaign > - Redemptions per customer > - Redemptions per customer in a campaign - [Get Redemption](https://voucherify-pw-test-further.mintlify.app/api-reference/redemptions/get-redemption.md): Return a redemption or redemption rollback object. This object can either be a successfull or failed redemption or redemption rollback. - [Get Voucher's Redemptions](https://voucherify-pw-test-further.mintlify.app/api-reference/redemptions/get-vouchers-redemptions.md): Retrieve the number of times a voucher was redeemed and each of the redemption details. - [List Redemptions](https://voucherify-pw-test-further.mintlify.app/api-reference/redemptions/list-redemptions.md): Returns a list of redemptions previously created. The redemptions are returned in a sorted order, with the most recent redemptions appearing first. The response returns a list of redemptions of all vouchers. - [Redeem Promotion [Deprecated]](https://voucherify-pw-test-further.mintlify.app/api-reference/redemptions/redeem-promotion-[deprecated].md): > ❗️ Deprecated > > This endpoint represents the deprecated version of the API responsible for promotion tier redemption, and we do not recommend using it. The new [Stackable Discounts API](ref:redeem-stacked-discounts) introduces additional features and improvements while m… - [Redeem Stackable Discounts](https://voucherify-pw-test-further.mintlify.app/api-reference/redemptions/redeem-stackable-discounts.md): ## How API returns calculated discounts and order amounts in the response - [Redeem Voucher [Deprecated]](https://voucherify-pw-test-further.mintlify.app/api-reference/redemptions/redeem-voucher-[deprecated].md): > ❗️ Deprecated > > This endpoint represents the deprecated version of the API responsible for voucher redemption, and we do not recommend using it. The new [Stackable Discounts API](ref:redeem-stacked-discounts) introduces additional features and improvements while maintain… - [Rollback Redemption](https://voucherify-pw-test-further.mintlify.app/api-reference/redemptions/rollback-redemption.md): Your business logic may include a case when you need to undo a redemption. You can revert a redemption by calling this API endpoint. This endpoint rolls back only single redemptions, meaning those that are not stacked. Stacked redemptions belong to a parent redemption. To roll back a parent redempti… - [Rollback Stackable Redemptions](https://voucherify-pw-test-further.mintlify.app/api-reference/redemptions/rollback-stackable-redemptions.md): Rollback a stackable redemption. When you roll back a stacked redemption, all child redemptions will be rolled back. Provide the parent redemption ID as the path parameter. However, you can use this endpoint to roll back a single redemption that does not have a parent, similarly to [POST Rollback re… - [Add Referral Code Holders](https://voucherify-pw-test-further.mintlify.app/api-reference/referrals/add-referral-code-holders.md): Adds new holders to a referral code as **referees**. The data sent in the request is upserted into the customer data. - [Add Referral Code Holders](https://voucherify-pw-test-further.mintlify.app/api-reference/referrals/add-referral-code-holders-1.md): Adds new holders to a referral code as **referees**. The data sent in the request is upserted into the customer data. - [List Referral Code Holders](https://voucherify-pw-test-further.mintlify.app/api-reference/referrals/list-referral-code-holders.md): Retrieves all the redeemables that have been assigned to the customer. - [List Referral Code Holders](https://voucherify-pw-test-further.mintlify.app/api-reference/referrals/list-referral-code-holders-1.md): Retrieves the holders of the referral code from a referral campaign. - [Remove Referral Card Holder](https://voucherify-pw-test-further.mintlify.app/api-reference/referrals/remove-referral-card-holder.md): Removes the holder from a referral card. You can remove a referee only. - [Remove Referral Card Holder](https://voucherify-pw-test-further.mintlify.app/api-reference/referrals/remove-referral-card-holder-1.md): Removes the holder from a referral card. You can remove a referee only. - [Create Reward](https://voucherify-pw-test-further.mintlify.app/api-reference/rewards/create-reward.md): Create a new reward. - [Create Reward Assignment](https://voucherify-pw-test-further.mintlify.app/api-reference/rewards/create-reward-assignment.md): Assigns a reward to a specified loyalty campaign. - [Delete Reward](https://voucherify-pw-test-further.mintlify.app/api-reference/rewards/delete-reward.md): Delete a reward. - [Delete Reward Assignment](https://voucherify-pw-test-further.mintlify.app/api-reference/rewards/delete-reward-assignment.md): This method deletes a reward assignment for a particular reward. - [Get Reward](https://voucherify-pw-test-further.mintlify.app/api-reference/rewards/get-reward.md): Retrieve a reward by the reward ID. - [Get Reward Assignment](https://voucherify-pw-test-further.mintlify.app/api-reference/rewards/get-reward-assignment.md): Retrieve a reward assignment. - [List Reward Assignments](https://voucherify-pw-test-further.mintlify.app/api-reference/rewards/list-reward-assignments.md): Retrieve reward assignments by the reward ID. - [List Rewards](https://voucherify-pw-test-further.mintlify.app/api-reference/rewards/list-rewards.md): Retrieve rewards. - [Update Reward](https://voucherify-pw-test-further.mintlify.app/api-reference/rewards/update-reward.md): Update the details of a reward. - [Update Reward Assignment](https://voucherify-pw-test-further.mintlify.app/api-reference/rewards/update-reward-assignment.md): Update the number of points needed to successfully redeem the reward. - [Create Segment](https://voucherify-pw-test-further.mintlify.app/api-reference/segments/create-segment.md): Create a customer segment. - [Delete Segment](https://voucherify-pw-test-further.mintlify.app/api-reference/segments/delete-segment.md): This method deletes a customer segment. - [Get Segment](https://voucherify-pw-test-further.mintlify.app/api-reference/segments/get-segment.md): Retrieves the segment with given segment ID. - [Add Promotion Tier From Template](https://voucherify-pw-test-further.mintlify.app/api-reference/templates/add-promotion-tier-from-template.md): Creates a promotion tier out of a discount campaign template and adds it to an existing promotion campaign. - [Create Campaign From Template](https://voucherify-pw-test-further.mintlify.app/api-reference/templates/create-campaign-from-template.md): Creates a campaign out of a campaign template. - [Create Campaign Template](https://voucherify-pw-test-further.mintlify.app/api-reference/templates/create-campaign-template.md): Creates a template for a discount or gift campaign, or a promotion tier. - [Delete Campaign Template](https://voucherify-pw-test-further.mintlify.app/api-reference/templates/delete-campaign-template.md): Deletes the campaign template permanently. - [Get Campaign Template](https://voucherify-pw-test-further.mintlify.app/api-reference/templates/get-campaign-template.md): Retrieves a campaign template available in the project. - [List Campaign Templates](https://voucherify-pw-test-further.mintlify.app/api-reference/templates/list-campaign-templates.md): Lists all campaign templates available in the project. - [Update Campaign Template](https://voucherify-pw-test-further.mintlify.app/api-reference/templates/update-campaign-template.md): Updates the name or description of the campaign template. - [Create Validation Rules](https://voucherify-pw-test-further.mintlify.app/api-reference/validation-rules/create-validation-rules.md): Create a validation rule. > 🚧 Managing validation rules > > It is recommended to [create validation rules](https://support.voucherify.io/article/148-how-to-build-a-rule) in the Voucherify dashboard. The rule builder in the dashboard helps configuring the desired conditions in a convenient way. The… - [Create Validation Rules Assignments](https://voucherify-pw-test-further.mintlify.app/api-reference/validation-rules/create-validation-rules-assignments.md): Assign validation rule to either one of the following objects: voucher, campaign, promotion tier, earning rule, reward, distribution. - [Delete Validation Rule](https://voucherify-pw-test-further.mintlify.app/api-reference/validation-rules/delete-validation-rule.md): This method deletes a validation rule. - [Delete Validation Rule Assignment](https://voucherify-pw-test-further.mintlify.app/api-reference/validation-rules/delete-validation-rule-assignment.md): This method deletes a validation rule assignment. - [Get Validation Rule](https://voucherify-pw-test-further.mintlify.app/api-reference/validation-rules/get-validation-rule.md): Retrieve the details of a validation rule. - [List Validation Rule Assignments](https://voucherify-pw-test-further.mintlify.app/api-reference/validation-rules/list-validation-rule-assignments.md): Retrieve validation rule assignments for a specific validation rule. - [List Validation Rules](https://voucherify-pw-test-further.mintlify.app/api-reference/validation-rules/list-validation-rules.md): Retrieve validation rules. - [List Validation Rules' Assignment(s)](https://voucherify-pw-test-further.mintlify.app/api-reference/validation-rules/list-validation-rules-assignments.md): List all validation rules' assignments or filter the results using the related object ID or the validation rule ID query parameters. - [Update Validation Rule](https://voucherify-pw-test-further.mintlify.app/api-reference/validation-rules/update-validation-rule.md): Update validation rule parameters. - [Validate Promotion Tier [Deprecated]](https://voucherify-pw-test-further.mintlify.app/api-reference/validations/validate-promotion-tier-[deprecated].md): > ❗️ Deprecated > > This endpoint represents the deprecated version of the API responsible for promotion tier redemption, and we do not recommend using it. The new [Stackable Discounts API](ref:validate-stacked-discounts) introduces additional features and improvements while… - [Validate Promotions [Deprecated]](https://voucherify-pw-test-further.mintlify.app/api-reference/validations/validate-promotions-[deprecated].md): > ❗️ Deprecated > > This endpoint represents the deprecated version of the API responsible for qualification, and we do not recommend using it. The new [Qualifications API](ref:check-eligibility) introduces additional features and improvements while maintaining backward comp… - [Validate Stackable Discounts](https://voucherify-pw-test-further.mintlify.app/api-reference/validations/validate-stackable-discounts.md): Verify redeemables provided in the request. This method is designed for server side integration which means that it is accessible only through private keys. - [Validate Voucher [Deprecated]](https://voucherify-pw-test-further.mintlify.app/api-reference/validations/validate-voucher-[deprecated].md): > ❗️ Deprecated > > This endpoint represents the deprecated version of the API responsible for voucher validation, and we do not recommend using it. The new [Stackable Discounts API](ref:validate-stacked-discounts) introduces additional features and improvements while mainta… - [Adjust Voucher Balance](https://voucherify-pw-test-further.mintlify.app/api-reference/vouchers/adjust-voucher-balance.md): Add balance to an existing gift card or loyalty card. For loyalty cards, it must be assigned to a holder. - [Create Voucher](https://voucherify-pw-test-further.mintlify.app/api-reference/vouchers/create-voucher.md): Create a generic (standalone) vouchers. You can choose to create a `GIFT_VOUCHER`, a `DISCOUNT_VOUCHER`, or a `LOYALTY_CARD`. The code path parameter can use all letters of the English alphabet, Arabic numerals and special characters. - [Delete Voucher](https://voucherify-pw-test-further.mintlify.app/api-reference/vouchers/delete-voucher.md): Deletes a voucher. This operation cannot be undone. Additionally, this operation removes any redemptions on the voucher. - [Disable Voucher](https://voucherify-pw-test-further.mintlify.app/api-reference/vouchers/disable-voucher.md): There are various times when you'll want to manage a voucher's accessibility. This can be done by two API methods for managing the voucher state - *enable* and *disable*. ___ This method sets the voucher state to **inactive**. The voucher cannot be redeemed. - [Enable Voucher](https://voucherify-pw-test-further.mintlify.app/api-reference/vouchers/enable-voucher.md): There are various times when you'll want to manage a voucher's accessibility. This can be done by two API methods for managing the voucher state - *enable* and *disable*. ___ The method sets the voucher state to **active**. The voucher can be redeemed - only if the redemption occurs after the star… - [Examine Qualification [Deprecated]](https://voucherify-pw-test-further.mintlify.app/api-reference/vouchers/examine-qualification-[deprecated].md): > ❗️ Deprecated > > This endpoint represents the deprecated version of the API responsible for qualification, and we do not recommend using it. The new [Qualifications API](ref:examine-qualification) introduces additional features and improvements while maintaining backward… - [Export Voucher Transactions](https://voucherify-pw-test-further.mintlify.app/api-reference/vouchers/export-voucher-transactions.md): Export transactions that are associated with credit movements on a gift card or loyalty card. - [Generate Random Code](https://voucherify-pw-test-further.mintlify.app/api-reference/vouchers/generate-random-code.md): Create a generic (standalone) vouchers. You can choose to create a `GIFT_VOUCHER`, a `DISCOUNT_VOUCHER`, or a `LOYALTY_CARD`. - [Get Voucher](https://voucherify-pw-test-further.mintlify.app/api-reference/vouchers/get-voucher.md): Retrieves the voucher with the given `code` or unique Voucherify ID. You can either pass the voucher ID which was assigned by Voucherify, e.g., `v_7HxHkf4VAkMuc8u4lZs78lyRwhRze5UE`, or the `code` of the voucher as the path parameter value, e.g., `7fjWdr`. - [Import Vouchers](https://voucherify-pw-test-further.mintlify.app/api-reference/vouchers/import-vouchers.md): Import generic (standalone) voucherss and gift cards into the repository. - [Import Vouchers using CSV](https://voucherify-pw-test-further.mintlify.app/api-reference/vouchers/import-vouchers-using-csv.md): Import generic (standalone) voucherss into the repository using a CSV file. - [List Voucher Transactions](https://voucherify-pw-test-further.mintlify.app/api-reference/vouchers/list-voucher-transactions.md): List transactions that are associated with credit movements on a gift card or loyalty card. - [List Vouchers](https://voucherify-pw-test-further.mintlify.app/api-reference/vouchers/list-vouchers.md): Returns a list of vouchers. By default, the vouchers are returned sorted by creation date, with the most recent vouchers appearing first. A maximum of 100 vouchers are returned in the response. - [Release Validation Session](https://voucherify-pw-test-further.mintlify.app/api-reference/vouchers/release-validation-session.md): Manually release a validation session that has been set up for the voucher. This method undoes the actions that are explained in the [Locking validation session](doc:locking-validation-session) guide. - [Update Voucher](https://voucherify-pw-test-further.mintlify.app/api-reference/vouchers/update-voucher.md): Updates the specified voucher by setting the values of the parameters passed in the request body. Any parameters not provided in the payload will be left unchanged. - [Update Vouchers in Bulk](https://voucherify-pw-test-further.mintlify.app/api-reference/vouchers/update-vouchers-in-bulk.md): Updates specific metadata parameters for each code, respectively, in one asynchronous operation. - [Update Vouchers' Metadata in Bulk](https://voucherify-pw-test-further.mintlify.app/api-reference/vouchers/update-vouchers-metadata-in-bulk.md): Updates metadata parameters for a list of codes. Every resource in the list will receive the metadata defined in the request. - [Discount campaign](https://voucherify-pw-test-further.mintlify.app/dashboard-stuff/campaigns/discount.md): Learn discounts - [Code blocks](https://voucherify-pw-test-further.mintlify.app/essentials/code.md): Display inline code and code blocks - [Images and embeds](https://voucherify-pw-test-further.mintlify.app/essentials/images.md): Add image, video, and other HTML elements - [Markdown syntax](https://voucherify-pw-test-further.mintlify.app/essentials/markdown.md): Text, title, and styling in standard markdown - [Navigation](https://voucherify-pw-test-further.mintlify.app/essentials/navigation.md): The navigation field in docs.json defines the pages that go in the navigation menu - [Reusable snippets](https://voucherify-pw-test-further.mintlify.app/essentials/reusable-snippets.md): Reusable, custom snippets to keep content in sync - [Global Settings](https://voucherify-pw-test-further.mintlify.app/essentials/settings.md): Mintlify gives you complete control over the look and feel of your documentation using the docs.json file - [API endpoints](https://voucherify-pw-test-further.mintlify.app/guides/development/API-Endpoints.md) - [API optimization](https://voucherify-pw-test-further.mintlify.app/guides/development/API-Optimization.md): Learn how to optimize your API calls - [API reference](https://voucherify-pw-test-further.mintlify.app/guides/development/API-Reference.md) - [API version upgrades](https://voucherify-pw-test-further.mintlify.app/guides/development/API-Version-Upgrades.md): Keep track of changes and upgrades to the Voucherify API. - [Setting up distributions](https://voucherify-pw-test-further.mintlify.app/guides/development/Distributions.md) - [Introduction](https://voucherify-pw-test-further.mintlify.app/guides/getting_started/introduction.md): Welcome to Voucherify's developer hub - [Crucial concepts](https://voucherify-pw-test-further.mintlify.app/guides/getting_started/key-concepts.md): Learn the key concepts to help you implement loyalty and promotional campaigns and integrate Voucherify with your stack - [Get started](https://voucherify-pw-test-further.mintlify.app/guides/getting_started/project-setup-guide.md): Get started with your Voucherify project - [Voucherify overview](https://voucherify-pw-test-further.mintlify.app/guides/getting_started/welcome-to-voucherify.md): Learn about Voucherify and its possibilities - [Campaign Limits](https://voucherify-pw-test-further.mintlify.app/guides/integration_blueprint/campaign-limits.md) - [Integration blueprint](https://voucherify-pw-test-further.mintlify.app/guides/integration_blueprint/integration-overview.md): Learn how to integrate with Voucherify ## OpenAPI Specs - [openapi](https://voucherify-pw-test-further.mintlify.app/api-reference/openapi.json) - [OpenAPIWebhooks](https://voucherify-pw-test-further.mintlify.app/api-reference/OpenAPIWebhooks.json) ## Optional - [Documentation](https://mintlify.com/docs) - [Community](https://mintlify.com/community) - [Blog](https://mintlify.com/blog)